DexException: Multiple dex files define Lcom/squareup/leakcanary/

* What went wrong:
Execution failed for task ':app:transformClassesWithDexForDebug'.
> com.android.build.api.transform.TransformException: 
com.android.ide.common.process.ProcessException: 
java.util.concurrent.ExecutionException: 
com.android.dex.DexException: 
Multiple dex files define Lcom/squareup/leakcanary/watcher/R;

将如下这行:

    debugCompile 'com.squareup.leakcanary:leakcanary-android:1.5.2'
替换成:
    debugCompile 'com.squareup.leakcanary:leakcanary-android:1.5'
也就是将版本1.5.2退回到1.5,好像就可以了


没有更多推荐了,返回首页

私密
私密原因:
请选择设置私密原因
  • 广告
  • 抄袭
  • 版权
  • 政治
  • 色情
  • 无意义
  • 其他
其他原因:
120
出错啦
系统繁忙,请稍后再试

关闭